# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_wsmanlistener`](#dsc_wsmanlistener): The DSC WSManListener resource type. Automatically generated from version 2.1.0.78
* [`dsc_wsmanserviceconfig`](#dsc_wsmanserviceconfig): The DSC WSManServiceConfig resource type. Automatically generated from version 2.1.0.78

## Resource types

### `dsc_wsmanlistener`

The DSC WSManListener resource type.
Automatically generated from version 2.1.0.78

#### Properties

The following properties are available in the `dsc_wsmanlistener` type.

##### `dsc_address`

Data type: `Optional[String]`

The Address that the WS-Man Listener will be bound to. The default is * (any address).

##### `dsc_certificatethumbprint`

Data type: `Optional[String]`

The Thumbprint of the certificate to use for the HTTPS WS-Man Listener.

##### `dsc_dn`

Data type: `Optional[String]`

This is a Distinguished Name component that will be used to identify the certificate to use for the HTTPS WS-Man Listener if a thumbprint is not specified.

##### `dsc_enabled`

Data type: `Optional[Boolean]`

Returns true if the existing WS-Man Listener is enabled.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

Specifies whether the WS-Man Listener should exist.

##### `dsc_hostname`

Data type: `Optional[String]`

The Host Name that an existing WS-Man Listener is bound to.

##### `dsc_issuer`

Data type: `Optional[String]`

The Issuer of the certificate to use for the HTTPS WS-Man Listener if a thumbprint is not specified.

##### `dsc_matchalternate`

Data type: `Optional[Boolean]`

Should the FQDN/Name be used to also match the certificate alternate subject for an HTTPS WS-Man Listener if a thumbprint is not specified.

##### `dsc_port`

Data type: `Optional[Integer[0, 65535]]`

The port the WS-Man Listener should use. Defaults to 5985 for HTTP and 5986 for HTTPS listeners.

##### `dsc_subjectformat`

Data type: `Optional[Enum['Both', 'FQDNOnly', 'NameOnly']]`

The format used to match the certificate subject to use for an HTTPS WS-Man Listener if a thumbprint is not specified.

##### `dsc_urlprefix`

Data type: `Optional[String]`

The URL Prefix of the existing WS-Man Listener.

#### Parameters

The following parameters are available in the `dsc_wsmanlistener` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_transport`

namevar

Data type: `Enum['HTTP', 'HTTPS']`

The transport type of WS-Man Listener.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_wsmanserviceconfig`

The DSC WSManServiceConfig resource type.
Automatically generated from version 2.1.0.78

#### Properties

The following properties are available in the `dsc_wsmanserviceconfig` type.

##### `dsc_allowunencrypted`

Data type: `Optional[Boolean]`

Allows the client computer to request unencrypted traffic.

##### `dsc_authbasic`

Data type: `Optional[Boolean]`

Allows the WinRM service to use Basic authentication.

##### `dsc_authcbthardeninglevel`

Data type: `Optional[Enum['Strict', 'Relaxed', 'None']]`

Allows the client computer to request unencrypted traffic.

##### `dsc_authcertificate`

Data type: `Optional[Boolean]`

Allows the WinRM service to use client certificate-based authentication.

##### `dsc_authcredssp`

Data type: `Optional[Boolean]`

Allows the WinRM service to use Credential Security Support Provider (CredSSP) authentication.

##### `dsc_authkerberos`

Data type: `Optional[Boolean]`

Allows the WinRM service to use Kerberos authentication.

##### `dsc_authnegotiate`

Data type: `Optional[Boolean]`

Allows the WinRM service to use Negotiate authentication.

##### `dsc_enablecompatibilityhttplistener`

Data type: `Optional[Boolean]`

Specifies whether the compatibility HTTP listener is enabled.

##### `dsc_enablecompatibilityhttpslistener`

Data type: `Optional[Boolean]`

Specifies whether the compatibility HTTPS listener is enabled.

##### `dsc_enumerationtimeoutms`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the idle time-out in milliseconds between Pull messages.

##### `dsc_maxconcurrentoperationsperuser`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum number of concurrent operations that any user can remotely open on the same system.

##### `dsc_maxconnections`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum number of active requests that the service can process simultaneously.

##### `dsc_maxpacketretrievaltimeseconds`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the maximum length of time, in seconds, the WinRM service takes to retrieve a packet.

##### `dsc_rootsddl`

Data type: `Optional[String]`

Specifies the security descriptor that controls remote access to the listener.

#### Parameters

The following parameters are available in the `dsc_wsmanserviceconfig` type.

##### `dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

